#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xlsclients
Version		:	1.1.4
Release		:	14.4.0.0%{?dist}
Summary		:	Listing information about the client applications running on a X11 server.
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/app/xkbcomp

Source0		:	%{name}-%{version}.tar.gz

# Generate source by doing:
# git clone git://anongit.freedesktop.org/xorg/app/xlsclients
# cd xlsclients
# git archive --format=tar --prefix=xlsclients-1.1.4/ xlsclients-1.1.4 | gzip > xlsclients-1.1.4.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
xlsclients is a utility for listing information about the client
applications running on a X11 server.

Version 1.1 and later of xlsclients use (and require) libxcb instead
of libX11, for more efficient communication with the X server.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
	

%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
